# Uses of Interface
io.dapr.workflows.Workflow

Packages that use Workflow
Package
Description
io.dapr.workflows.client
io.dapr.workflows.runtime

## Uses of Workflow in io.dapr.workflows.client

Methods in io.dapr.workflows.client with type parameters of type Workflow
Modifier and Type
Method
Description
`<T extends Workflow>
String`
DaprWorkflowClient.`scheduleNewWorkflow(Class<T> clazz)`
Schedules a new workflow using DurableTask client.
`<T extends Workflow>
String`
DaprWorkflowClient.`scheduleNewWorkflow(Class<T> clazz, NewWorkflowOptions options)`
Schedules a new workflow with a specified set of options for execution.
`<T extends Workflow>
String`
DaprWorkflowClient.`scheduleNewWorkflow(Class<T> clazz, Object input)`
Schedules a new workflow using DurableTask client.
`<T extends Workflow>
String`
DaprWorkflowClient.`scheduleNewWorkflow(Class<T> clazz, Object input, String instanceId)`
Schedules a new workflow using DurableTask client.

## Uses of Workflow in io.dapr.workflows.runtime

Methods in io.dapr.workflows.runtime with type parameters of type Workflow
Modifier and Type
Method
Description
`<T extends Workflow>
WorkflowRuntimeBuilder`
WorkflowRuntimeBuilder.`registerWorkflow(Class<T> clazz)`
Registers a Workflow object.
`<T extends Workflow>
WorkflowRuntimeBuilder`
WorkflowRuntimeBuilder.`registerWorkflow(T instance)`
Registers a Workflow object.